package cn.ninegame.genericframework.module.CacheOperation;

import cn.ninegame.genericframework.basic.ILoadFragmentListener;

/**
 * Created by lingcong on 2016/11/24.
 */
public class LoadFragmentOperation extends Operation {

    private String mFragmentID;
    private ILoadFragmentListener mListener = null;

    public LoadFragmentOperation(String fragmentID,ILoadFragmentListener listener) {
        mFragmentID = fragmentID;
        mListener = listener;
    }

    @Override
    public int getOperationKey() {
        return generateOpKey(mFragmentID);
    }

    public String getFragmentID() {
        return mFragmentID;
    }

    public ILoadFragmentListener getListener() {
        return mListener;
    }
}
