package cn.ninegame.genericframework.basic;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

/**
 * ****************************************************************************
 * Copyright @ 2009 - 2015 www.9game.cn All Rights Reserved
 * <p/>
 * Creation    : 2015-03-18
 * Author      : lihq@ucweb.com
 * Description : 组件消息的接受者。这个接口不对外开放，仅作为内部类使用（设计上考虑是接口隔离）。
 *              原则上，只有IController具备接收其他组件消息的能力。
 * ****************************************************************************
 */
public interface IMessageHandler {
    public void handleMessage(GMessage message);
    public Bundle handleMessageSync(GMessage message);
}
